#include <stdio.h>
#include "array.h"


void bubblesort(Array *t){
Stack *stack = NULL;
initStack(stack);
int i, j;
for(i = 1; i < 11; i = i + 1) {
for(j = 0; j < 11 - i - 1; j = j + 1) {
if(t->array[j].i > t->array[j + 1].i){
int a = t->array[j].i;
int b = t->array[j + 1].i;
int temp = t->array[j].i;
insertInt(t,j,t->array[j + 1].i);
insertInt(t,j + 1,temp);
printf("\nSWAPPING: %d %d",a,b);
}{

}
}
}
Array *ptr = NULL;
while (stackEmpty(stack)==0){
stack = popStack(stack, &ptr);
freeArray(ptr);
}
freeStack(stack);
return ;
}

void main(){
Stack *stack = NULL;
initStack(stack);
printf("Bubblesort");
Array *g = initArray(g);
stack = pushStack(stack, g);
int z;
for(z = 10; z > 0; z = z - 1) {
insertInt(g,10 - z,z);
}
for(z = 0; z < 10; z = z + 1) {
int temp = g->array[z].i;
printf("%d ",temp);
}
bubblesort(g);
printf("Sorted! \n");
for(z = 0; z < 10; z = z + 1) {
int temp = g->array[z].i;
printf("%d ",temp);
}
Array *ptr = NULL;
while (stackEmpty(stack)==0){
stack = popStack(stack, &ptr);
freeArray(ptr);
}
freeStack(stack);
return ;
}
